Subject: Re: bug#53157: guix/ui.scm:203 requires guile-3.0.3
From: Ludovic Courtès <[email-masked]>
To: [email-masked], Efraim Flashner <[email-masked]>
Date: Tue, 25 Jan 2022 23:58:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Efraim,

Ludovic Courtès <[email-masked]> skribis:

> Efraim Flashner <[email-masked]> skribis:
>
>> I'm using ./pre-inst-env on my powerpc-linux machine, using guile-3.0.2
>> as provided by Debian. When I try to run the following command:
>> ./pre-inst-env guix build -L /path/to/repo -m /path/to/manifest.scm -n
>> I get the following error:
>>
>> guix/ui.scm:230:13: error: default-optimization-level: unbound variable
>>
>> It doesn't make sense to gate this with (target-ppc32?) since it's due
>> to the guile version. If I had configured within 'guix shell -D guix' I
>> would be using guile-3.0.7.
>>
>> configure.ac checks for guile 3.0.
>
> I’m in favor of updating ‘configure.ac’ to check for Guile > 3.0.x
> (we’ll have to check which value of ‘x’ works).

As you suggested on IRC, I went ahead and did that in commit
d582b399781f6fd80c63d07746524196603972e4.

Thanks,
Ludo’.